
-- body part
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "player_11_body"
	actor[cp_model_dir]			= "player"
	actor[cp_model_name]		= "tank_body"

	actor[cp_actor_type]		= cat_player

	-- height offset
--	actor[cp_bullet_spray_angle]	= -5.0

-- leave me
	c_preload_model( actor )
-- leave me

--	c_set_random_anim( "engpulse", 20.0, 20.0, 0.0, 0.0 )


-- head part
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "player_11"
	actor[cp_model_dir]			= "player"
	actor[cp_model_name]		= "tank_head"
	actor[cp_move_target]		= "player_11_body"

	actor[cp_actor_type]		= cat_player

	-- movement
--	actor[cp_move_speed_min]		= 0.0
	actor[cp_move_speed_max]		= 0.3
	actor[cp_move_acceleration]		= 0.8
	actor[cp_move_deceleration]		= 0.8
	actor[cp_move_inertia_accn]		= 0.5
	actor[cp_move_inertia_decn]		= 0.5

	actor[cp_launch_scale_min]		= 50.0
	actor[cp_launch_scale_max]		= 50.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "spin", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "pulse", 500.0, 500.0, 0.0, 0.0 )

--	c_add_particle_to_anim( "fire", "gtip1", "player-tank_fire" )
--	c_add_particle_to_anim( "fire", "gtip2", "player-tank_fire" )

